//          File: graph.h
//        Author: Elena Machkasova
// Last Modified: April 25, 2001
//         Topic: Linked List Implementation of Graphs in C++

// The file contains declaration of the class Graph 

#include <iostream>
#include "vertex.h"
#include "edge.h"

class Graph {
 public:
  Graph();
  ~Graph();
  Vertex *find(char);
  bool AddVertex(char);
  bool AddEdge(char, char, int);
  void print();

 private: 
  Vertex *first;  // a pointer to the first vertex of the graph
                  // NULL if the graph does not have vertexes
};
